| Home | Libraries | People | FAQ | More

# IP_Network_Interface_Socket_Option Class Reference

Inherits Socket_Option.

Inheritance diagram for IP_Network_Interface_Socket_Option:

List of all members.

## Detailed Description

IP_Network_Interface_Socket_Option concept.

Implemented By:
  boost::asio::ip::multicast::outbound_interface

## Public Member Functions

| IP_Network_Interface_Socket_Option ()
| Default constructor initialises contained value to "any" interface.
| IP_Network_Interface_Socket_Option (const boost::asio::ip::address_v4 &ipv4_interface)
| Construct with a specific IPv4 address.
| IP_Network_Interface_Socket_Option (unsigned long ipv6_interface)
| Construct with a specific IPv6 interface index.
template<typename Protocol>
int | level (const Protocol &protocol) const
| Get the level of the socket option.
template<typename Protocol>
int | name (const Protocol &protocol) const
| Get the name of the socket option.
template<typename Protocol>
implementation_defined | data (const Protocol &protocol)
| Get a pointer to the socket option data.
template<typename Protocol>
implementation_defined | data (const Protocol &protocol) const
| Get a pointer to the socket option data.
template<typename Protocol>
std::size_t | size (const Protocol &protocol) const
| Get the size of the socket option data in bytes.

## Constructor & Destructor Documentation

IP_Network_Interface_Socket_Option::IP_Network_Interface_Socket_Option | ( |  | ) |

Default constructor initialises contained value to "any" interface.

IP_Network_Interface_Socket_Option::IP_Network_Interface_Socket_Option | ( | const boost::asio::ip::address_v4 & | ipv4_interface | ) |

Construct with a specific IPv4 address.

IP_Network_Interface_Socket_Option::IP_Network_Interface_Socket_Option | ( | unsigned long | ipv6_interface | ) |

Construct with a specific IPv6 interface index.

## Member Function Documentation

template<typename Protocol>

int Socket_Option::level | ( | const Protocol & | protocol | ) | const`[inherited]`

Get the level of the socket option.

template<typename Protocol>

int Socket_Option::name | ( | const Protocol & | protocol | ) | const`[inherited]`

Get the name of the socket option.

template<typename Protocol>

implementation_defined Socket_Option::data | ( | const Protocol & | protocol | ) | `[inherited]`

Get a pointer to the socket option data.

template<typename Protocol>

implementation_defined Socket_Option::data | ( | const Protocol & | protocol | ) | const`[inherited]`

Get a pointer to the socket option data.

template<typename Protocol>

std::size_t Socket_Option::size | ( | const Protocol & | protocol | ) | const`[inherited]`

Get the size of the socket option data in bytes.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff